Summary: 	PPP Over Ethernet (xDSL support)
Name: 		pppoe
Group: 		System Environment/Daemons
License: 	GPL
Version: 	3.5
Release: 	1
Source: 	http://www.roaringpenguin.com/pppoe/rp-pppoe-%{version}.tar.gz
Source1:	pppoe.init
Patch0:		rp-pppoe-3.4-redhat.patch
Patch1:		rp-pppoe-3.5-buildroot.patch
Patch2:		rp-pppoe-3.5-firewall.patch
Requires: 	ppp >= 2.4.1
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-root

%description
PPPoE (Point-to-Point Protocol over Ethernet) is a protocol used by
many ADSL Internet Service Providers. Roaring Penguin has a free
client for Linux systems to connect to PPPoE service providers.

The client is a user-mode program and does not require any kernel
modifications. It is fully compliant with RFC 2516, the official PPPoE
specification.

%files
  %defattr(0444,root,root,0555)
  %doc doc/CHANGES doc/HOW-TO-CONNECT doc/LICENSE 
  %doc doc/KERNEL-MODE-PPPOE README SERVPOET
  %doc %{_mandir}/man?/*

  %attr(0600,root,root) %config(noreplace) %{_sysconfdir}/ppp/pppoe.conf
  %attr(0600,root,root) %config(noreplace) %{_sysconfdir}/ppp/pppoe-server-options
  %attr(0600,root,root) %{_sysconfdir}/ppp/plugins/*
  %attr(0700,root,root) %{_sysconfdir}/init.d/adsl

  %attr(0500,root,root)	%{_sbindir}/*

%prep
%setup -q -n rp-%{name}-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
  cd src
  autoconf
  CFLAGS="-D_GNU_SOURCE" %configure
  make %{?_smp_mflags}

%install
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

  make -C src install RPM_INSTALL_ROOT=$RPM_BUILD_ROOT

  install -d         $RPM_BUILD_ROOT/%{_sysconfdir}/init.d
  install %{SOURCE1} $RPM_BUILD_ROOT/%{_sysconfdir}/init.d/adsl

  # Remove unpackaged files.
  rm -f  $RPM_BUILD_ROOT/%{_sysconfdir}/ppp/firewall-masq
  rm -f  $RPM_BUILD_ROOT/%{_sysconfdir}/ppp/firewall-standalone
  rm -fr $RPM_BUILD_ROOT/%{_prefix}/doc/rp-pppoe-%{version}

%clean
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Jun 29 2005 Pete O'Hara <pete@guardiandigital.com>
- Version 3.5, Release 1
  - Initial build for EnGarde Secure Linux 3.0.
